Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1
Class BerTag

    java.lang.Object
      org.bouncycastle.sasn1.BerTag

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class BerTag

extends java.lang.Object

Field Summary
`static int` `APPLICATION` Deprecated.
`static int` `BIT_STRING` Deprecated.
`static int` `BMP_STRING` Deprecated.
`static int` `BOOLEAN` Deprecated.
`static int` `CONSTRUCTED` Deprecated.
`static int` `ENUMERATED` Deprecated.
`static int` `EXTERNAL` Deprecated.
`static int` `GENERAL_STRING` Deprecated.
`static int` `GENERALIZED_TIME` Deprecated.
`static int` `GRAPHIC_STRING` Deprecated.
`static int` `IA5_STRING` Deprecated.
`static int` `INTEGER` Deprecated.
`static int` `NULL` Deprecated.
`static int` `NUMERIC_STRING` Deprecated.
`static int` `OBJECT_IDENTIFIER` Deprecated.
`static int` `OCTET_STRING` Deprecated.
`static int` `PRINTABLE_STRING` Deprecated.
`static int` `SEQUENCE` Deprecated.
`static int` `SEQUENCE_OF` Deprecated.
`static int` `SET` Deprecated.
`static int` `SET_OF` Deprecated.
`static int` `T61_STRING` Deprecated.
`static int` `TAGGED` Deprecated.
`static int` `UNIVERSAL_STRING` Deprecated.
`static int` `UTC_TIME` Deprecated.
`static int` `UTF8_STRING` Deprecated.
`static int` `VIDEOTEX_STRING` Deprecated.
`static int` `VISIBLE_STRING` Deprecated.

Constructor Summary
`BerTag()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final int BOOLEAN

  Deprecated.
  See Also:
    Constant Field Values

### INTEGER

    public static final int INTEGER

  Deprecated.
  See Also:
    Constant Field Values

### BIT_STRING

    public static final int BIT_STRING

  Deprecated.
  See Also:
    Constant Field Values

### OCTET_STRING

    public static final int OCTET_STRING

  Deprecated.
  See Also:
    Constant Field Values

### NULL

    public static final int NULL

  Deprecated.
  See Also:
    Constant Field Values

### OBJECT_IDENTIFIER

    public static final int OBJECT_IDENTIFIER

  Deprecated.
  See Also:
    Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

  Deprecated.
  See Also:
    Constant Field Values

### ENUMERATED

    public static final int ENUMERATED

  Deprecated.
  See Also:
    Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

  Deprecated.
  See Also:
    Constant Field Values

### SEQUENCE_OF

    public static final int SEQUENCE_OF

  Deprecated.
  See Also:
    Constant Field Values

### SET

    public static final int SET

  Deprecated.
  See Also:
    Constant Field Values

### SET_OF

    public static final int SET_OF

  Deprecated.
  See Also:
    Constant Field Values

### NUMERIC_STRING

    public static final int NUMERIC_STRING

  Deprecated.
  See Also:
    Constant Field Values

### PRINTABLE_STRING

    public static final int PRINTABLE_STRING

  Deprecated.
  See Also:
    Constant Field Values

### T61_STRING

    public static final int T61_STRING

  Deprecated.
  See Also:
    Constant Field Values

### VIDEOTEX_STRING

    public static final int VIDEOTEX_STRING

  Deprecated.
  See Also:
    Constant Field Values

### IA5_STRING

    public static final int IA5_STRING

  Deprecated.
  See Also:
    Constant Field Values

### UTC_TIME

    public static final int UTC_TIME

  Deprecated.
  See Also:
    Constant Field Values

### GENERALIZED_TIME

    public static final int GENERALIZED_TIME

  Deprecated.
  See Also:
    Constant Field Values

### GRAPHIC_STRING

    public static final int GRAPHIC_STRING

  Deprecated.
  See Also:
    Constant Field Values

### VISIBLE_STRING

    public static final int VISIBLE_STRING

  Deprecated.
  See Also:
    Constant Field Values

### GENERAL_STRING

    public static final int GENERAL_STRING

  Deprecated.
  See Also:
    Constant Field Values

### UNIVERSAL_STRING

    public static final int UNIVERSAL_STRING

  Deprecated.
  See Also:
    Constant Field Values

### BMP_STRING

    public static final int BMP_STRING

  Deprecated.
  See Also:
    Constant Field Values

### UTF8_STRING

    public static final int UTF8_STRING

  Deprecated.
  See Also:
    Constant Field Values

### CONSTRUCTED

    public static final int CONSTRUCTED

  Deprecated.
  See Also:
    Constant Field Values

### APPLICATION

    public static final int APPLICATION

  Deprecated.
  See Also:
    Constant Field Values

### TAGGED

    public static final int TAGGED

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### BerTag

    public BerTag()

  Deprecated.

Bouncy Castle Cryptography Library 1.45